org.eclipse.jetty.deploy

## Class ContextDeployer.ScannerListener

- java.lang.Object
- - org.eclipse.jetty.deploy.ContextDeployer.ScannerListener

All Implemented Interfaces:
  Scanner.DiscreteListener, Scanner.Listener

Enclosing class:
  ContextDeployer

    protected class ContextDeployer.ScannerListener
    extends Object
    implements Scanner.DiscreteListener

### Constructor Summary

Constructors
`protected` `ContextDeployer.ScannerListener()`

### Method Summary

Methods
`void` `fileAdded(String filename)` Handle a new deployment
`void` `fileChanged(String filename)` Handle a change to an existing deployment.
`void` `fileRemoved(String filename)` Handle an undeploy.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextDeployer.ScannerListener

    protected ContextDeployer.ScannerListener()

### Method Detail

#### fileAdded

    public void fileAdded(String filename)
                   throws Exception

Handle a new deployment

Specified by:
  `fileAdded` in interface `Scanner.DiscreteListener`
Throws:
  `Exception`
See Also:
  `Scanner.DiscreteListener.fileAdded(java.lang.String)`

#### fileChanged

    public void fileChanged(String filename)
                     throws Exception

Handle a change to an existing deployment. Undeploy then redeploy.

Specified by:
  `fileChanged` in interface `Scanner.DiscreteListener`
Throws:
  `Exception`
See Also:
  `Scanner.DiscreteListener.fileChanged(java.lang.String)`

#### fileRemoved

    public void fileRemoved(String filename)
                     throws Exception

Handle an undeploy.

Specified by:
  `fileRemoved` in interface `Scanner.DiscreteListener`
Throws:
  `Exception`
See Also:
  `Scanner.DiscreteListener.fileRemoved(java.lang.String)`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`